package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealApplyAddTransmitRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 查询需抄送的物理用印申请
	BusinessId *int64 `json:"businessId"`
	// <ext>core:true</ext> 【抄送人】抄送人 【作用】 指定需要抄送的用户，抄送人有权限查看物理用印申请 【传参】 1、参数必传其一，传入多个时只按最高优先级查询，优先级为用户id>联系方式>手机号>邮箱>成员编号>身份证号>第三方业务系统用户id>用户登录账号。 2、抄送人必须是用印申请同集团下的内部用户。若用户不存在时，将会报错。
	Transmits []*common.UserInfoRequest `json:"transmits"`
}

func (obj SealApplyAddTransmitRequest) GetUrl() string {
	return "/seal/apply/add/transmit"
}

func (obj SealApplyAddTransmitRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
